Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ServerConnectionRuntime

All Superinterfaces:
  Serializable

public interface ServerConnectionRuntime
extends Serializable

This interface represents the runtime state of a protocol-specific connection.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getBytesReceivedCount()` Returns the total number of bytes recieved by this connection.
`long` | `getBytesSentCount()` Returns the total number of bytes sent by this connection.
`long` | `getConnectTime()` Returns the time this connection was created.
`long` | `getMessagesReceivedCount()` Returns the number of messages recieved by this connection.
`long` | `getMessagesSentCount()` Returns the number of messages sent by this connection.
`SocketRuntime` | `getSocketRuntime()` Get socket information for this channel.

Method Detail

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the total number of bytes recieved by this connection.

  Returns:
    The bytesReceivedCount value

### getBytesSentCount

    public long getBytesSentCount()

  Returns the total number of bytes sent by this connection.

  Returns:
    The bytesSentCount value

### getConnectTime

    public long getConnectTime()

  Returns the time this connection was created.

  Returns:
    The connectTime value

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages recieved by this connection.

  Returns:
    The messagesReceivedCount value

### getMessagesSentCount

    public long getMessagesSentCount()

  Returns the number of messages sent by this connection.

  Returns:
    The messagesSentCount value

### getSocketRuntime

    public SocketRuntime getSocketRuntime()

  Get socket information for this channel.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD